Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TTypeName

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TTypeName

All Implemented Interfaces:
  Visitable

    public class TTypeName

extends TParseTreeNode

Field Summary
`static int` | `lfdBfile`
`static int` | `lfdBigInt`
`static int` | `lfdBinary`
`static int` | `lfdBinaryInteger`
`static int` | `lfdBinaryLargeObject`
`static int` | `lfdbinaryVar`
`static int` | `lfdBit`
`static int` | `lfdBlob`
`static int` | `lfdBoolean`
`static int` | `lfdByte`
`static int` | `lfdByteint`
`static int` | `lfdChar`
`static int` | `lfdCharacter`
`static int` | `lfdCharacterLargeObject`
`static int` | `lfdCharacterVar`
`static int` | `lfdCharacterVarying`
`static int` | `lfdCharLargeObject`
`static int` | `lfdCharVar`
`static int` | `lfdCharVarying`
`static int` | `lfdClob`
`static int` | `lfdcurrency`
`static int` | `lfdDatalink`
`static int` | `lfdDate`
`static int` | `lfdDatetime`
`static int` | `lfdDateWithFmt`
`static int` | `lfddbclob`
`static int` | `lfdDBClob`
`static int` | `lfdDec`
`static int` | `lfdDecimal`
`static int` | `lfdDouble`
`static int` | `lfdDoublePrecision`
`static int` | `lfdEnum`
`static int` | `lfdFloat`
`static int` | `lfdFloat4`
`static int` | `lfdFloat8`
`static int` | `lfdgeneral`
`static int` | `lfdGeneric`
`static int` | `lfdGeoGraphy`
`static int` | `lfdGeoMetry`
`static int` | `lfdGraphic`
`static int` | `lfdguid`
`static int` | `lfdIeeeDouble`
`static int` | `lfdIeeesingle`
`static int` | `lfdimage`
`static int` | `lfdInt`
`static int` | `lfdInt1`
`static int` | `lfdInt2`
`static int` | `lfdInt4`
`static int` | `lfdInt8`
`static int` | `lfdInteger`
`static int` | `lfdInteger1`
`static int` | `lfdInteger2`
`static int` | `lfdInteger4`
`static int` | `lfdInterval`
`static int` | `lfdIntervalDay`
`static int` | `lfdIntervalDayToHour`
`static int` | `lfdIntervalDayToMinute`
`static int` | `lfdIntervalDayToSecond`
`static int` | `lfdIntervalDTS`
`static int` | `lfdIntervalHour`
`static int` | `lfdIntervalHourToMinute`
`static int` | `lfdIntervalHourToSecond`
`static int` | `lfdIntervalMinute`
`static int` | `lfdIntervalMinuteToSecond`
`static int` | `lfdIntervalMonth`
`static int` | `lfdIntervalSecond`
`static int` | `lfdIntervalYear`
`static int` | `lfdIntervalYearToMonth`
`static int` | `lfdIntervalYTM`
`static int` | `lfdlogical`
`static int` | `lfdlogical1`
`static int` | `lfdLong`
`static int` | `lfdlongbinary`
`static int` | `lfdLongblob`
`static int` | `lfdLongRaw`
`static int` | `lfdLongtext`
`static int` | `lfdLongvarbinary`
`static int` | `lfdLongvarchar`
`static int` | `lfdLongVarGraphic`
`static int` | `lfdMediumblob`
`static int` | `lfdMediumInt`
`static int` | `lfdMediumtext`
`static int` | `lfdmemo`
`static int` | `lfdmoney`
`static int` | `lfdMySQLSet`
`static int` | `lfdNationalChar`
`static int` | `lfdNationalCharacter`
`static int` | `lfdNationalCharVarying`
`static int` | `lfdNchar`
`static int` | `lfdNcharVarying`
`static int` | `lfdNClob`
`static int` | `lfdNone`
`static int` | `lfdntext`
`static int` | `lfdNum`
`static int` | `lfdnumber`
`static int` | `lfdNumeric`
`static int` | `lfdNVarchar`
`static int` | `lfdNvarchar2`
`static int` | `lfdoleobject`
`static int` | `lfdPeriod`
`static int` | `lfdpldt_natural`
`static int` | `lfdpldt_naturaln`
`static int` | `lfdpldt_pls_integer`
`static int` | `lfdpldt_positive`
`static int` | `lfdpldt_positiven`
`static int` | `lfdpldt_ref`
`static int` | `lfdpldt_rowtype`
`static int` | `lfdpldt_signtype`
`static int` | `lfdpldt_type`
`static int` | `lfdpldt_userdef`
`static int` | `lfdPlsInteger`
`static int` | `lfdRaw`
`static int` | `lfdReal`
`static int` | `lfdRowTypeAtribute` plsql rowtype atribute
`static int` | `lfdSet`
`static int` | `lfdshort`
`static int` | `lfdSigned`
`static int` | `lfdsingle`
`static int` | `lfdsmalldatetime`
`static int` | `lfdSmallint`
`static int` | `lfdsmallmoney`
`static int` | `lfdText`
`static int` | `lfdTime`
`static int` | `lfdTimestamp`
`static int` | `lfdTimeStampWithLTZ`
`static int` | `lfdTimeStampWithTZ`
`static int` | `lfdTimeWithTZ`
`static int` | `lfdTinyblob`
`static int` | `lfdTinyInt`
`static int` | `lfdTinytext`
`static int` | `lfdTypeAtribute` plsql type atribute
`static int` | `lfdUnknown`
`static int` | `lfdUnSigned`
`static int` | `lfdURowid`
`static int` | `lfdVarbinary`
`static int` | `lfdVarByte`
`static int` | `lfdVarchar`
`static int` | `lfdVarchar2`
`static int` | `lfdVarGraphic`
`static int` | `lfdYear`
`static int` | `lfdyesno`

Constructor Summary
`TTypeName()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`TPTNodeList<TIndices>` | `getArrays()` type array like int[]
`TDatatypeAttributeList` | `getDatatypeAttributeList()`
`int` | `getType()`
`void` | `setArrays(TPTNodeList<TIndices> arrays)`
`void` | `setDatatypeAttributeList(TDatatypeAttributeList datatypeAttributeList)`
`void` | `setDataTypeInTokens()` used in y file, setup dbobject type of all source tokens consist of this datatype.
`void` | `setType(int type)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lfdNone

    public static final int lfdNone

See Also:
  Constant Field Values

### lfdUnknown

    public static final int lfdUnknown

See Also:
  Constant Field Values

### lfdGeneric

    public static final int lfdGeneric

See Also:
  Constant Field Values

### lfdFloat

    public static final int lfdFloat

See Also:
  Constant Field Values

### lfdFloat4

    public static final int lfdFloat4

See Also:
  Constant Field Values

### lfdFloat8

    public static final int lfdFloat8

See Also:
  Constant Field Values

### lfdIeeeDouble

    public static final int lfdIeeeDouble

See Also:
  Constant Field Values

### lfdDoublePrecision

    public static final int lfdDoublePrecision

See Also:
  Constant Field Values

### lfdDecimal

    public static final int lfdDecimal

See Also:
  Constant Field Values

### lfdDec

    public static final int lfdDec

See Also:
  Constant Field Values

### lfdNumeric

    public static final int lfdNumeric

See Also:
  Constant Field Values

### lfdnumber

    public static final int lfdnumber

See Also:
  Constant Field Values

### lfdNum

    public static final int lfdNum

See Also:
  Constant Field Values

### lfdInteger

    public static final int lfdInteger

See Also:
  Constant Field Values

### lfdInt1

    public static final int lfdInt1

See Also:
  Constant Field Values

### lfdInt2

    public static final int lfdInt2

See Also:
  Constant Field Values

### lfdInt4

    public static final int lfdInt4

See Also:
  Constant Field Values

### lfdInt8

    public static final int lfdInt8

See Also:
  Constant Field Values

### lfdInteger1

    public static final int lfdInteger1

See Also:
  Constant Field Values

### lfdInteger2

    public static final int lfdInteger2

See Also:
  Constant Field Values

### lfdInteger4

    public static final int lfdInteger4

See Also:
  Constant Field Values

### lfdBit

    public static final int lfdBit

See Also:
  Constant Field Values

### lfdBoolean

    public static final int lfdBoolean

See Also:
  Constant Field Values

### lfdlogical

    public static final int lfdlogical

See Also:
  Constant Field Values

### lfdlogical1

    public static final int lfdlogical1

See Also:
  Constant Field Values

### lfdyesno

    public static final int lfdyesno

See Also:
  Constant Field Values

### lfdcurrency

    public static final int lfdcurrency

See Also:
  Constant Field Values

### lfdmoney

    public static final int lfdmoney

See Also:
  Constant Field Values

### lfdsmallmoney

    public static final int lfdsmallmoney

See Also:
  Constant Field Values

### lfdsingle

    public static final int lfdsingle

See Also:
  Constant Field Values

### lfdIeeesingle

    public static final int lfdIeeesingle

See Also:
  Constant Field Values

### lfdshort

    public static final int lfdshort

See Also:
  Constant Field Values

### lfdVarbinary

    public static final int lfdVarbinary

See Also:
  Constant Field Values

### lfdBinary

    public static final int lfdBinary

See Also:
  Constant Field Values

### lfdlongbinary

    public static final int lfdlongbinary

See Also:
  Constant Field Values

### lfdmemo

    public static final int lfdmemo

See Also:
  Constant Field Values

### lfdgeneral

    public static final int lfdgeneral

See Also:
  Constant Field Values

### lfdoleobject

    public static final int lfdoleobject

See Also:
  Constant Field Values

### lfdguid

    public static final int lfdguid

See Also:
  Constant Field Values

### lfdInt

    public static final int lfdInt

See Also:
  Constant Field Values

### lfdSmallint

    public static final int lfdSmallint

See Also:
  Constant Field Values

### lfdReal

    public static final int lfdReal

See Also:
  Constant Field Values

### lfdTinyInt

    public static final int lfdTinyInt

See Also:
  Constant Field Values

### lfdMediumInt

    public static final int lfdMediumInt

See Also:
  Constant Field Values

### lfdBigInt

    public static final int lfdBigInt

See Also:
  Constant Field Values

### lfdCharacter

    public static final int lfdCharacter

See Also:
  Constant Field Values

### lfdChar

    public static final int lfdChar

See Also:
  Constant Field Values

### lfdVarchar

    public static final int lfdVarchar

See Also:
  Constant Field Values

### lfdVarchar2

    public static final int lfdVarchar2

See Also:
  Constant Field Values

### lfdNvarchar2

    public static final int lfdNvarchar2

See Also:
  Constant Field Values

### lfdNationalCharacter

    public static final int lfdNationalCharacter

See Also:
  Constant Field Values

### lfdNVarchar

    public static final int lfdNVarchar

See Also:
  Constant Field Values

### lfdCharVar

    public static final int lfdCharVar

See Also:
  Constant Field Values

### lfdCharacterVar

    public static final int lfdCharacterVar

See Also:
  Constant Field Values

### lfdbinaryVar

    public static final int lfdbinaryVar

See Also:
  Constant Field Values

### lfdLongvarchar

    public static final int lfdLongvarchar

See Also:
  Constant Field Values

### lfdLongvarbinary

    public static final int lfdLongvarbinary

See Also:
  Constant Field Values

### lfdMySQLSet

    public static final int lfdMySQLSet

See Also:
  Constant Field Values

### lfdYear

    public static final int lfdYear

See Also:
  Constant Field Values

### lfdDouble

    public static final int lfdDouble

See Also:
  Constant Field Values

### lfdNationalChar

    public static final int lfdNationalChar

See Also:
  Constant Field Values

### lfdNchar

    public static final int lfdNchar

See Also:
  Constant Field Values

### lfdDate

    public static final int lfdDate

See Also:
  Constant Field Values

### lfdTimestamp

    public static final int lfdTimestamp

See Also:
  Constant Field Values

### lfdTimeStampWithTZ

    public static final int lfdTimeStampWithTZ

See Also:
  Constant Field Values

### lfdTimeStampWithLTZ

    public static final int lfdTimeStampWithLTZ

See Also:
  Constant Field Values

### lfdDateWithFmt

    public static final int lfdDateWithFmt

See Also:
  Constant Field Values

### lfdTime

    public static final int lfdTime

See Also:
  Constant Field Values

### lfdDatetime

    public static final int lfdDatetime

See Also:
  Constant Field Values

### lfdsmalldatetime

    public static final int lfdsmalldatetime

See Also:
  Constant Field Values

### lfdIntervalYTM

    public static final int lfdIntervalYTM

See Also:
  Constant Field Values

### lfdIntervalDTS

    public static final int lfdIntervalDTS

See Also:
  Constant Field Values

### lfdLong

    public static final int lfdLong

See Also:
  Constant Field Values

### lfdRaw

    public static final int lfdRaw

See Also:
  Constant Field Values

### lfdLongRaw

    public static final int lfdLongRaw

See Also:
  Constant Field Values

### lfdBlob

    public static final int lfdBlob

See Also:
  Constant Field Values

### lfdClob

    public static final int lfdClob

See Also:
  Constant Field Values

### lfdNClob

    public static final int lfdNClob

See Also:
  Constant Field Values

### lfdBfile

    public static final int lfdBfile

See Also:
  Constant Field Values

### lfddbclob

    public static final int lfddbclob

See Also:
  Constant Field Values

### lfdTinyblob

    public static final int lfdTinyblob

See Also:
  Constant Field Values

### lfdMediumblob

    public static final int lfdMediumblob

See Also:
  Constant Field Values

### lfdLongblob

    public static final int lfdLongblob

See Also:
  Constant Field Values

### lfdTinytext

    public static final int lfdTinytext

See Also:
  Constant Field Values

### lfdText

    public static final int lfdText

See Also:
  Constant Field Values

### lfdntext

    public static final int lfdntext

See Also:
  Constant Field Values

### lfdimage

    public static final int lfdimage

See Also:
  Constant Field Values

### lfdMediumtext

    public static final int lfdMediumtext

See Also:
  Constant Field Values

### lfdLongtext

    public static final int lfdLongtext

See Also:
  Constant Field Values

### lfdURowid

    public static final int lfdURowid

See Also:
  Constant Field Values

### lfdEnum

    public static final int lfdEnum

See Also:
  Constant Field Values

### lfdpldt_type

    public static final int lfdpldt_type

See Also:
  Constant Field Values

### lfdpldt_rowtype

    public static final int lfdpldt_rowtype

See Also:
  Constant Field Values

### lfdpldt_ref

    public static final int lfdpldt_ref

See Also:
  Constant Field Values

### lfdpldt_natural

    public static final int lfdpldt_natural

See Also:
  Constant Field Values

### lfdpldt_naturaln

    public static final int lfdpldt_naturaln

See Also:
  Constant Field Values

### lfdpldt_positive

    public static final int lfdpldt_positive

See Also:
  Constant Field Values

### lfdpldt_positiven

    public static final int lfdpldt_positiven

See Also:
  Constant Field Values

### lfdpldt_signtype

    public static final int lfdpldt_signtype

See Also:
  Constant Field Values

### lfdpldt_pls_integer

    public static final int lfdpldt_pls_integer

See Also:
  Constant Field Values

### lfdpldt_userdef

    public static final int lfdpldt_userdef

See Also:
  Constant Field Values

### lfdBinaryLargeObject

    public static final int lfdBinaryLargeObject

See Also:
  Constant Field Values

### lfdGraphic

    public static final int lfdGraphic

See Also:
  Constant Field Values

### lfdVarGraphic

    public static final int lfdVarGraphic

See Also:
  Constant Field Values

### lfdLongVarGraphic

    public static final int lfdLongVarGraphic

See Also:
  Constant Field Values

### lfdDatalink

    public static final int lfdDatalink

See Also:
  Constant Field Values

### lfdBinaryInteger

    public static final int lfdBinaryInteger

See Also:
  Constant Field Values

### lfdPlsInteger

    public static final int lfdPlsInteger

See Also:
  Constant Field Values

### lfdByteint

    public static final int lfdByteint

See Also:
  Constant Field Values

### lfdTimeWithTZ

    public static final int lfdTimeWithTZ

See Also:
  Constant Field Values

### lfdIntervalYear

    public static final int lfdIntervalYear

See Also:
  Constant Field Values

### lfdIntervalYearToMonth

    public static final int lfdIntervalYearToMonth

See Also:
  Constant Field Values

### lfdIntervalMonth

    public static final int lfdIntervalMonth

See Also:
  Constant Field Values

### lfdIntervalDay

    public static final int lfdIntervalDay

See Also:
  Constant Field Values

### lfdIntervalDayToHour

    public static final int lfdIntervalDayToHour

See Also:
  Constant Field Values

### lfdIntervalDayToMinute

    public static final int lfdIntervalDayToMinute

See Also:
  Constant Field Values

### lfdIntervalDayToSecond

    public static final int lfdIntervalDayToSecond

See Also:
  Constant Field Values

### lfdIntervalHour

    public static final int lfdIntervalHour

See Also:
  Constant Field Values

### lfdIntervalHourToMinute

    public static final int lfdIntervalHourToMinute

See Also:
  Constant Field Values

### lfdIntervalHourToSecond

    public static final int lfdIntervalHourToSecond

See Also:
  Constant Field Values

### lfdIntervalMinute

    public static final int lfdIntervalMinute

See Also:
  Constant Field Values

### lfdIntervalMinuteToSecond

    public static final int lfdIntervalMinuteToSecond

See Also:
  Constant Field Values

### lfdIntervalSecond

    public static final int lfdIntervalSecond

See Also:
  Constant Field Values

### lfdByte

    public static final int lfdByte

See Also:
  Constant Field Values

### lfdVarByte

    public static final int lfdVarByte

See Also:
  Constant Field Values

### lfdCharacterVarying

    public static final int lfdCharacterVarying

See Also:
  Constant Field Values

### lfdCharVarying

    public static final int lfdCharVarying

See Also:
  Constant Field Values

### lfdPeriod

    public static final int lfdPeriod

See Also:
  Constant Field Values

### lfdCharacterLargeObject

    public static final int lfdCharacterLargeObject

See Also:
  Constant Field Values

### lfdGeoMetry

    public static final int lfdGeoMetry

See Also:
  Constant Field Values

### lfdGeoGraphy

    public static final int lfdGeoGraphy

See Also:
  Constant Field Values

### lfdSigned

    public static final int lfdSigned

See Also:
  Constant Field Values

### lfdUnSigned

    public static final int lfdUnSigned

See Also:
  Constant Field Values

### lfdNationalCharVarying

    public static final int lfdNationalCharVarying

See Also:
  Constant Field Values

### lfdNcharVarying

    public static final int lfdNcharVarying

See Also:
  Constant Field Values

### lfdSet

    public static final int lfdSet

See Also:
  Constant Field Values

### lfdCharLargeObject

    public static final int lfdCharLargeObject

See Also:
  Constant Field Values

### lfdDBClob

    public static final int lfdDBClob

See Also:
  Constant Field Values

### lfdInterval

    public static final int lfdInterval

See Also:
  Constant Field Values

### lfdTypeAtribute

    public static final int lfdTypeAtribute

  plsql type atribute

  See Also:
    Constant Field Values

### lfdRowTypeAtribute

    public static final int lfdRowTypeAtribute

  plsql rowtype atribute

  See Also:
    Constant Field Values

Constructor Detail

### TTypeName

    public TTypeName()

Method Detail

### setType

    public void setType(int type)

### getType

    public int getType()

### getArrays

    public TPTNodeList<TIndices> getArrays()

  type array like int[]

  Returns:

### setArrays

    public void setArrays(TPTNodeList<TIndices> arrays)

### setDataTypeInTokens

    public void setDataTypeInTokens()

  used in y file, setup dbobject type of all source tokens consist of this datatype.

### setDatatypeAttributeList

    public void setDatatypeAttributeList(TDatatypeAttributeList datatypeAttributeList)

### getDatatypeAttributeList

    public TDatatypeAttributeList getDatatypeAttributeList()

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD